ClassPathScanner.GrailsClasspathIgnoringResourceResolver (Grails 6.0.0)

Package: grails.boot.config.tools

## [Groovy] Class ClassPathScanner.GrailsClasspathIgnoringResourceResolver

- grails.boot.config.tools.ClassPathScanner.GrailsClasspathIgnoringResourceResolver

-     @groovy.transform.CompileStatic
      @groovy.transform.InheritConstructors
      @groovy.util.logging.Slf4j
      private static class ClassPathScanner.GrailsClasspathIgnoringResourceResolver
      extends org.springframework.core.io.support.PathMatchingResourcePatternResolver

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `CLASSPATH_ALL_URL_PREFIX, CLASSPATH_URL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsClasspathIgnoringResourceResolver (java.lang.Class applicationClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Set<org.springframework.core.io.Resource>` | `doFindAllClassPathResources(java.lang.String path)`
    `` | `protected org.springframework.core.io.Resource[]` | `findAllClassPathResources(java.lang.String location)`
    `` | `protected org.springframework.core.io.Resource[]` | `findPathMatchingResources(java.lang.String locationPattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `org.springframework.core.io.support.PathMatchingResourcePatternResolver#setPathMatcher(org.springframework.util.PathMatcher), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getPathMatcher(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResourceLoader(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getClassLoader(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResource(java.lang.String), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResources(java.lang.String), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(long), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(long, int), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#equals(java.lang.Object), org.springframework.core.io.support.PathMatchingResourcePatternResolver#toString(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#hashCode(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getClass(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#notify(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#notifyAll()`

- - ### Constructor Detail

    - #### GrailsClasspathIgnoringResourceResolver(java.lang.Class applicationClass)

  - ### Method Detail

    - #### @groovy.transform.Memoized(maxCacheSize: 20) protected java.util.Set<org.springframework.core.io.Resource> doFindAllClassPathResources(java.lang.String path)

    - #### @groovy.transform.Memoized protected org.springframework.core.io.Resource[] findAllClassPathResources(java.lang.String location)

    - #### @groovy.transform.Memoized protected org.springframework.core.io.Resource[] findPathMatchingResources(java.lang.String locationPattern)